Gets the line on which the object was instantiated

- « Throwable::getFile

- Throwable::getTrace »

- PHP Manual
- Throwable
- Gets the line on which the object was instantiated

# Throwable::getLine

(PHP 7, PHP 8)

Throwable::getLine — Gets the line on which the object was instantiated

### Description

public Throwable::getLine(): int

Returns the line number where the thrown object was instantiated.

### Parameters

This function has no parameters.

### Return Values

Returns the line number where the thrown object was instantiated.

### See Also

- Exception::getLine() - Gets the line in which the exception was created